Skip to content

Redirections

All operations require authentication.

4 operationsv2/zimbra/platform
Agent setup

List redirectionsBeta

GET
/v2/zimbra/platform/{platformId}/redirection

Returns the redirections of the platform with their current state. Filter them by source, destination, domainId or organizationId.

Path parameters

platformId
required
stringuuid

Platform ID

Query parameters

destination
string

Filter by destination

domainId
string

Filter by domain id

organizationId
string

Filter by organization id

source
string

Filter by source

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200RedirectionResponse[]successful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
Redirection

Object representing Redirection

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
RedirectionBase

Object representing Redirection Target Spec

404objectError 404 response

Example uses platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/redirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "destination": "string", "domainId": "00000000-0000-0000-0000-000000000000", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "source": "string", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "destination": "string", "source": "string" } }]

Get a redirectionBeta

GET
/v2/zimbra/platform/{platformId}/redirection/{redirectionId}

Returns the source and destination email addresses of the redirection, with its domain and organization.

Path parameters

platformId
required
stringuuid

Platform ID

redirectionId
required
stringuuid

Redirection ID

Response

200RedirectionResponsesuccessful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
Redirection

Object representing Redirection

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
RedirectionBase

Object representing Redirection Target Spec

404objectError 404 response

Example uses platformId = 00000000-0000-0000-0000-000000000000, redirectionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/redirection/{redirectionId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "destination": "string", "domainId": "00000000-0000-0000-0000-000000000000", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "source": "string", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "destination": "string", "source": "string" }}

Create a redirectionBeta

POST
/v2/zimbra/platform/{platformId}/redirection

Creates a redirection from a source email address to a destination email address.

Path parameters

platformId
required
stringuuid

Platform ID

Request body (required)

targetSpec
required
RedirectionBase

Target redirection specification

Response

200RedirectionResponsesuccessful operation
checksum
read-only
string

Checksum hash in MD5 representation

currentState
read-only
Redirection

Object representing Redirection

currentTasks
read-only
CurrentTask[]

An array containing tasks responses pending on resource extends AsyncResourceBase object

id
read-only
stringuuid

Resource identifier in UUID representation

resourceStatus
read-only
ResourceStatusEnum

Current resource status

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING
targetSpec
read-only
RedirectionBase

Object representing Redirection Target Spec

404objectError 404 response

Example uses platformId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/redirection \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "createdAt": "2024-01-01T12:00:00Z", "destination": "string", "domainId": "00000000-0000-0000-0000-000000000000", "organizationId": "00000000-0000-0000-0000-000000000000", "organizationLabel": "string", "source": "string", "updatedAt": "2024-01-01T12:00:00Z" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "resourceStatus": "CREATING", "targetSpec": { "destination": "string", "source": "string" }}

Delete a redirectionBeta

DELETE
/v2/zimbra/platform/{platformId}/redirection/{redirectionId}

Deletes the redirection.

Path parameters

platformId
required
stringuuid

Platform ID

redirectionId
required
stringuuid

Redirection ID

Response

200—successful operation

Example uses platformId = 00000000-0000-0000-0000-000000000000, redirectionId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/zimbra/platform/{platformId}/redirection/{redirectionId} \
  -H "authorization: Bearer $OVH_TOKEN"